PRINTENV(1)

NAME
printenv - print all or part of environment

SYNOPSIS
printenv [OPTION] [VARIABLE]...

DESCRIPTION

Print the values of the specified environment VARIABLE(s). If no VARIABLE is specified, print name and value pairs for them all.

-0, --null
    end each output line with NUL, not newline

--help
    display this help and exit

--version
    output version information and exit

Your shell may have its own version of printenv, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

AUTHOR
Written by David MacKenzie and Richard Mlynarik.

REPORTING BUGS
Report bugs to: bug-coreutils@gnu.org
GNU coreutils home page: <https://www.gnu.org/software/coreutils/>
General help using GNU software: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
Full documentation <https://www.gnu.org/software/coreutils/printenv>
or available locally via: info '(coreutils) printenv invocation'